using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsDrawingCodeGroup {
        public FmsDrawingCodeGroup() {
            FmsDrawing = new HashSet<FmsDrawing>();
        }

        [Display(Name = "고유번호"), Key]
        public int DrawingGroupId { get; set; }
        [Display(Name = "도면분류명칭"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsDrawingCodeGroup")]
        public virtual ICollection<FmsDrawing> FmsDrawing { get; set; }
    }
}
